Skip to main content
Monitoring & Collection/Grafana Integration

ListGrafanaSyncConflicts

List all sync conflicts that could not be resolved automatically

GET/api/v1/monitoring/grafana/sync/conflicts

Operation ID

ListGrafanaSyncConflicts

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • changeId
      String

      UUID of the queued change that caused the conflict

      Example: qc-001-abc

    • resourceId
      String

      UUID of the Grafana resource involved in the conflict

      Example: dash-001-abc

    • operation
      String

      Type of conflicting operation

      Example: update

    • reason
      String

      Description of why the conflict occurred

      Example: resource was modified externally since change was queued

    • queuedAt
      String

      Queued at

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of sync conflicts

    Example: 1

  • limit
    Integer

    Page size limit

    Example: 20

  • offset
    Integer

    Pagination offset

    Example: 20